// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start() {
        let node = cc.find('Canvas/cocos');
        let labelNode = cc.find('Canvas/label');

        cc.tween(node)
            .tag(1)
            .repeat(10,
                cc.tween().by(3, { scale: 1 })

            )
            .start()
        cc.tween(node)
            .tag(1)
            .repeat(10,
                cc.tween().by(3, { position: new cc.Vec3(10,10,0) })
            )
            .start()
        this.scheduleOnce(()=>{
            cc.Tween.stopAllByTag(1);
        },2)
    }

    // update (dt) {}
}
